void _fastcall dfputs(char _near *);
void _fastcall printn(unsigned short);
void _fastcall printd(unsigned short);
void patch_vec(unsigned short);
int locate_sys_vector(void);
int set_option(int, int, int, char _far *, int);
int net_socket(int, struct net_addr _far *);
int net_abortall(void);
int net_releaseall(void);
int _net_info(int, struct netinfo _far *);
int _net_select(int, unsigned long _near *, unsigned long _near *);
int _net_read(int, char _far *, unsigned, struct addr _far *, unsigned);
int _net_write(int, char _far *, unsigned, unsigned);
int _net_writeto(int, char _far *, unsigned, struct addr _far *, unsigned);
int _net_readfrom(int, char _far *, unsigned, struct addr _far *, unsigned);
int _fastcall convert_error(int, int);
void net_perror(char _near *);

int _fastcall tcp_startup(int, int *, void _far *);
int _fastcall tcp_init(int, int *, void _far *);
int _fastcall tcp_shutdown(int, int *, void _far *);
int _fastcall tcp_socket(int, int *, void _far *);
int _fastcall tcp_info(int, int *, void _far *);
int _fastcall tcp_accept(int, int *, void _far *);
int _fastcall tcp_drain(int, int *, void _far *);
int _fastcall tcp_release(int, int *, void _far *);
int _fastcall tcp_eof(int, int *, void _far *);
int _fastcall tcp_read(int, int *, void _far *);
int _fastcall tcp_write(int, int *, void _far *);
int _fastcall tcp_recv(int, int *, void _far *);
int _fastcall tcp_sendto(int, int *, void _far *);
int _fastcall tcp_select(int, int *, void _far *);
